Subject: Re: [bug#35907] note

From: Ricardo Wurmus <[email-masked]>
Date: Sat, 01 Jun 2019 06:16:52 +0200

Hi Robert,

> Note that I’m not sure it’s actually a good idea to exclude (all of) these packages
> from the dependencies: They’re mostly bundled with ghc because they are used in the
> ghc build. As such, it might well be that future ghc versions switch out e.g.
> “bytestring” for some alternate data structure, which would then require changes to
> all package definitions that currently silently depend on “bytestring”.

While this is correct, we cannot seem to remove them from the
environment when building packages.  If we allow these packages to be
added as inputs and these packages are at different versions from what
GHC provides we get into trouble.

This happened in the past, unfortunately, and it’s hard to debug.

> Should I include a patch to remove the explicitly packaged `ghc-text` and other
> packages of this type?

Yes, I think this would be good.

Thank you for working on this!

--
Ricardo